%define majver %(echo %version | cut -d. -f1-2)
Name:          network-manager-applet
Version:       1.28.0
Release:       1mamba
Summary:       A GNOME applet to control network connections
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Projects/NetworkManager
Source:        https://download.gnome.org/sources/network-manager-applet/%{majver}/network-manager-applet-%{version}.tar.xz
Patch0:        %{name}-0.8.2-dbus-policy-sysadmin.patch
Patch1:        %{name}-1.0.2-dont_autostart_in_kde.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libffi-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcr-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjansson-devel
BuildRequires: libmm-devel
BuildRequires: libnm-devel
BuildRequires: libnma-devel
BuildRequires: libnotify-devel
BuildRequires: libp11-kit-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libsecret-devel
BuildRequires: libselinux-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: intltool
BuildRequires: libdbus-glib-tools
BuildRequires: libnm-devel >= 1.22.2
BuildRequires: libnma-devel
Requires:      NetworkManager
Requires:      ModemManager
Requires:      gnome-keyring
Requires(post):hicolor-icon-theme
Requires:      notification-daemon
Requires:      networkmanagervpnplugin
Requires:      dconf
Provides:      networkmanagergui
Obsoletes:     wicd
#Requires:      libnm-gtk = %{?epoch:%epoch:}%{version}-%{release}

%description
A GNOME applet to control network connections.

%debug_package

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
%configure \
   --with-gtk=3 \
   --without-appindicator \
   CFLAGS="%{optflags} -Wno-error=deprecated-declarations"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null
fi
:

%postun
if [ $1 -eq 0 ]; then
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
   glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null
fi
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/nm-applet.desktop
%{_bindir}/nm-applet
%{_bindir}/nm-connection-editor
%{_datadir}/GConf/gsettings/nm-applet.convert
%{_datadir}/metainfo/nm-connection-editor.appdata.xml
%{_datadir}/applications/nm-applet.desktop
%{_datadir}/applications/nm-connection-editor.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_mandir}/man1/nm-applet.1*
%{_mandir}/man1/nm-connection-editor.1*

%changelog
* Wed Jun 08 2022 Automatic Build System <autodist@mambasoft.it> 1.28.0-1mamba
- automatic version update by autodist

* Wed Mar 23 2022 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 1.24.0-1mamba
- automatic version update by autodist

* Tue May 11 2021 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Wed Feb 03 2021 Automatic Build System <autodist@mambasoft.it> 1.20.0-1mamba
- automatic version update by autodist

* Thu Nov 12 2020 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Fri Mar 20 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.0-2mamba
- remove requirement for libnm-gtk

* Sat Mar 14 2020 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Fri Jan 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.24-2mamba
- rebuilt with libnm 1.22.2

* Sun Oct 27 2019 Automatic Build System <autodist@mambasoft.it> 1.8.24-1mamba
- automatic version update by autodist

* Wed Jun 12 2019 Automatic Build System <autodist@mambasoft.it> 1.8.22-1mamba
- automatic version update by autodist

* Sun Mar 24 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.20-1mamba
- update to 1.8.20

* Wed Aug 08 2018 Automatic Build System <autodist@mambasoft.it> 1.8.16-1mamba
- automatic version update by autodist

* Sun Jul 08 2018 Automatic Build System <autodist@mambasoft.it> 1.8.14-1mamba
- automatic version update by autodist

* Tue May 29 2018 Automatic Build System <autodist@mambasoft.it> 1.8.12-1mamba
- automatic version update by autodist

* Thu May 10 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.10-1mamba
- update to 1.8.10

* Thu Mar 16 2017 Automatic Build System <autodist@mambasoft.it> 1.4.6-1mamba
- automatic version update by autodist

* Mon Feb 06 2017 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Aug 05 2016 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Wed May 18 2016 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Dec 26 2015 Automatic Build System <autodist@mambasoft.it> 1.0.10-1mamba
- automatic version update by autodist

* Mon Nov 23 2015 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic version update by autodist

* Sun Sep 13 2015 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Thu Jul 16 2015 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Mon May 11 2015 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Fri Jan 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- new subpackages libnm-gtk and libnm-gtk-devel

* Wed Jan 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Fri Jul 04 2014 Automatic Build System <autodist@mambasoft.it> 0.9.10.0-1mamba
- automatic version update by autodist

* Mon Jun 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8.10-2mamba
- require dconf

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 0.9.8.10-1mamba
- automatic version update by autodist

* Wed May 28 2014 Automatic Build System <autodist@mambasoft.it> 0.9.8.9-1mamba
- automatic update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.8-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.4-1mamba
- automatic update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.2-1mamba
- automatic version update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 0.9.8.0-1mamba
- automatic version update by autodist

* Fri Oct 26 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.4-1mamba
- automatic version update by autodist

* Sat Sep 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6.2-2mamba
- recompile schemas in xpost and xpostun scripts

* Mon Aug 13 2012 Automatic Build System <autodist@mambasoft.it> 0.9.6.2-1mamba
- automatic version update by autodist

* Mon Apr 02 2012 Automatic Build System <autodist@mambasoft.it> 0.9.4.1-1mamba
- automatic version update by autodist

* Tue Mar 13 2012 Automatic Build System <autodist@mambasoft.it> 0.9.3.995-1mamba
- update to 0.9.3.995

* Fri Jan 27 2012 Automatic Build System <autodist@mambasoft.it> 0.9.2.0-1mamba
- automatic version update by autodist

* Sat Oct 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0-2mamba
- disable autostart in KDE and remove conflict with plasma-applet-networkmanagement

* Wed Aug 24 2011 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- update to 0.9.0

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 0.8.4-1mamba
- update to 0.8.4

* Fri Jun 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-7mamba
- replace requirement for VPN plugins with networkmanagervpnplugin

* Wed Jun 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-6mamba
- added requirements for openvpn, pptp and vpnc plugins

* Wed Feb 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-5mamba
- added conflict with wicd and plasma-desktop-networkmanagement
- provide networkmanagergui
- require ModemManager

* Sun Jan 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-4mamba
- added dbus policy patch to give sysadmin privileges to set NetworkManagerSettings.Connection.Secrets

* Thu Jan 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-3mamba
- added requirement for notification-daemon

* Thu Jan 13 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-2mamba
- added post requirement for hicolor-icon-theme

* Fri Dec 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.2-1mamba
- package created by autospec
